So I see cloudfoundry.com now has imagemagick installed and supported. Has
anyone got the rmagick gem to function?

It seems to be finding the Magick-config, but isn't able to find the
PKG_CONFIG_PATH items.

CFoundry::AppStagingError: 310: Staging failed: 'Staging task failed:
Staging plugin failed:
/var/vcap/packages/stager/vendor/bundle/ruby/1.9.1/gems/vcap_staging-0.1.64/lib/vcap/staging/plugin/gemfile_task.rb:325:in
`log_and_raise_error': Failed installing gem rmagick-2.13.2.gem: Building
native extensions. This could take a while... (RuntimeError)
ERROR: Error installing /var/vcap/data/stager/tmp/d20130221-31282-1avolgz/
rmagick-2.13.2.gem:
ERROR: Failed to build gem native extension.


/var/vcap/data/packages/dea_ruby19/7.1/bin/ruby extconf.rb
checking for Ruby version >= 1.8.5... yes
checking for gcc... yes
checking for Magick-config... yes
checking for ImageMagick version >= 6.4.9... yes
checking for HDRI disabled version of ImageMagick... yes
Package MagickCore was not found in the pkg-config search path.
Perhaps you should add the directory containing `MagickCore.pc'
to the PKG_CONFIG_PATH environment variable
No package 'MagickCore' found
Package MagickCore was not found in the pkg-config search path.
Perhaps you should add the directory containing `MagickCore.pc'
to the PKG_CONFIG_PATH environment variable
No package 'MagickCore' found
Package MagickCore was not found in the pkg-config search path.
Perhaps you should add the directory containing `MagickCore.pc'
to the PKG_CONFIG_PATH environment variable
No package 'MagickCore' found
Package MagickCore was not found in the pkg-config search path.
Perhaps you should add the directory containing `MagickCore.pc'
to the PKG_CONFIG_PATH environment variable
No package 'MagickCore' found
checking for stdint.h... yes
checking for sys/types.h... yes
checking for wand/MagickWand.h... yes
Package MagickCore was not found in the pkg-config search path.
Perhaps you should add the directory containing `MagickCore.pc'
to the PKG_CONFIG_PATH environment variable
No package 'MagickCore' found
Can't install RMagick 2.13.2. Can't find the ImageMagick library or one of
the dependent libraries. Check the mkmf.log file for more detailed
information.

*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Provided configuration options:
--with-opt-dir
--without-opt-dir
--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog
--without-make-prog
--srcdir=.
--curdir
--ruby=/var/vcap/data/packages/dea_ruby19/7.1/bin/ruby

Thanks,

Mark

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupvcap-dev @
postedFeb 22, '13 at 12:09a
activeFeb 22, '13 at 12:09a
posts1
users1

1 user in discussion

Mark Kropf: 1 post

People

Translate

site design / logo © 2021 Grokbase